<template>
  <v-footer
    height="auto"
    padless
    tile
    class="mt-n4"
  >
    <v-container
      fluid
      class="pa-0"
    >
      <v-row
        id="menu"
        class="primary"
        justify="center"
      >
        <v-col
          cols="3"
          lg="3"
          xl="2"
          class="px-12"
          align-self="center"
        />
        <v-col
          cols="3"
          lg="3"
          xl="2"
          class="white--text pa-0 pl-10 pt-12"
          align-self="start"
        >
          <v-row
            dense
          >
            <v-col>
              <v-card-text class="ma-0 pa-0 font-weight-bold">
                {{ $t("links.label.helpInfos") }}
              </v-card-text>
            </v-col>
          </v-row>
          <v-row dense>
            <v-col>
              <v-card-text class="ma-0 pa-0 ">
                <a
                  :href="$t('links.route.cgu')"
                  style="text-decoration:none;"
                  class="white--text"
                >{{ $t("links.label.cgu") }}</a>
              </v-card-text>
            </v-col>
          </v-row>
          <v-row dense>
            <v-col>
              <v-card-text class="ma-0 pa-0 ">
                <a
                  :href="$t('links.route.faq')"
                  style="text-decoration:none;"
                  class="white--text"
                >{{ $t("links.label.faq") }}</a>
              </v-card-text>
            </v-col>
          </v-row>
          <!-- <v-row dense>
            <v-col>
              <v-card-text class="ma-0 pa-0 ">
                <a
                  :href="$t('links.route.dataPolicy')"
                  style="text-decoration:none;"
                  class="white--text"
                >{{ $t("links.label.dataPolicy") }}</a>
              </v-card-text>       
            </v-col>
          </v-row> -->
          <v-row dense>
            <v-col>
              <v-card-text class="ma-0 pa-0 ">
                <a
                  :href="$t('links.route.privacyPolicy')"
                  style="text-decoration:none;"
                  class="white--text"
                >{{ $t("links.label.privacyPolicy") }}</a>
              </v-card-text>       
            </v-col>
          </v-row>
          <v-row justify="left">
            <v-col cols="12">
              <v-card-text class="ma-0 pa-0 font-weight-bold">
                <a
                  :href="$t('links.route.feedback')"
                  style="text-decoration:none;"
                  class="white--text"
                >{{ $t("links.label.feedback") }}</a>
              </v-card-text>
            </v-col>
          </v-row>
          <v-row justify="left">
            <v-col cols="12">
              <v-card-text class="ma-0 pa-0 font-weight-bold">
                <a
                  style="text-decoration:none;"
                  class="white--text"
                  @click="showCookiesAction()"
                >{{ $t('tools.cookies.title') }}</a>
              </v-card-text>
            </v-col>
          </v-row>
        </v-col>
        <v-col
          cols="4"
          lg="3"
          xl="3"
          class="mt-10"
        >
          <v-row>
            <v-col cols="12">
              <v-img 
                :src="$t('urlLogo')" 
                height="175"
                contain
                eager
              />
            </v-col>
          </v-row>
          <v-row>
            <v-col
              cols="12"
              class="d-flex justify-space-around"
            >
              <v-img
                :src="$t('logo.petr')"
                height="30px"
                width="16%"
                contain
              />
              <v-img
                :src="$t('logo.eu')"
                height="30px"
                width="25%"
                contain
              />
              <v-img
                :src="$t('logo.r195169gion')"
                height="30px"
                width="26%"
                contain
              />
            </v-col>
          </v-row>
        </v-col>
      </v-row>
      <v-row
        justify="center"
        class="secondary"
      >
        <v-col class="text-center">
          <p class="white--text">
            <a
              class="white--text"
              :href="$t('mobicoopUrl')"
              :alt="$t('mobicoopUrlAlt')"
            >{{ $t('licence') }}</a>
          </p>
        </v-col>
      </v-row>
      <cookies
        :show="showCookies"
        :app-name="appName"
        @dialogClosed="dialogCookiesClosed"
      />
    </v-container>
  </v-footer>
</template>

<script>
import { merge } from "lodash";
import {messages_en, messages_fr} from "@translations/components/base/MFooter/";
import {messages_client_en, messages_client_fr} from "@clientTranslations/components/base/MFooter/";
import Cookies from "@components/utilities/Cookies";

let MessagesMergedEn = merge(messages_en, messages_client_en);
let MessagesMergedFr = merge(messages_fr, messages_client_fr);

export default {
  i18n: {
    messages: {
      'en': MessagesMergedEn,
      'fr': MessagesMergedFr
    }
  },
  components: {
    Cookies    
  },
  props: {
    logosPath: {
      type: String,
      default: null
    },   
    logos: {
      type: Object,
      default: null
    },
    appName:{
      type: String,
      default:null
    }
  },  
  data() {
    return {
      showCookies: false
    }
  },
  methods:{
    showCookiesAction(){
      this.showCookies = true;
    },
    dialogCookiesClosed(){
      this.showCookies = false;
    }
  }
};
</script>